---
features:
  primary:
  - name: "SAST support for iOS and Android mobile apps"
    available_in: [core, starter, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/sast/#supported-languages-and-frameworks'
    image_url: '/images/13_5/sast-gitlab-mobile.png'
    reporter: tmccaslin
    stage: application_security_testing
    categories:
    - 'SAST'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/233777'
    description: |
      [GitLab SAST](https://docs.gitlab.com/ee/user/application_security/sast/) now supports mobile applications including iOS apps written in Objective-C and Swift as well as Android apps written in Java and Kotlin powered by the [Mobile Security Framework (MobSF)](https://github.com/MobSF/Mobile-Security-Framework-MobSF). Initially this analyzer supports source code analysis but we [intend to expand support for binary scanning](https://gitlab.com/gitlab-org/gitlab/-/issues/269915) of `.ipa` and `.apk` files in the near future.

      This feature was a generous contribution by the [H-E-B Digital](https://digital.heb.com/) team. You can [read more about integrating with GitLab Secure](https://about.gitlab.com/blog/2020/10/22/integrating-with-gitlab-secure/) and view our [Secure scanning integration documentation](https://docs.gitlab.com/ee/development/integrations/secure.html).
